--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: (Primary) Front-end utility method for translating an entire class. Has special error handlers that convert errors into C++ comments (//...).
full_name: RubyToAnsiC::translate_all_of
is_singleton: true
name: translate_all_of
params: (klass)
visibility: public
